This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004916 - activemq package doesn't provide a sysvinit script or systemd service unit
activemq package doesn't provide a sysvinit script or systemd service unit
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: activemq (Show other bugs)
22
All Linux
high Severity high
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
: 1101022 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 14:06 EDT by Sam Kottler
Modified: 2016-01-28 10:46 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 10:46:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Kottler 2013-09-05 14:06:20 EDT
Description of problem:
activemq doesn't provide the necessary scripts/config files to start.

Version-Release number of selected component (if applicable):
0:5.6.0-5.fc19

How reproducible:
Always.

Steps to Reproduce:
1. yum install -y activemq activemq-core
2. try starting the service
3. note there is not a service unit

This seems like a fairly major thing to be missing in the packages. Is there another package or metapackage that needs to be installed for it to work?
Comment 1 Fedora Admin XMLRPC Client 2013-10-10 00:16:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Peter Robinson 2014-11-28 08:10:04 EST
*** Bug 1101022 has been marked as a duplicate of this bug. ***
Comment 5 Fedora End Of Life 2015-01-09 14:44:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Michael Scherer 2015-01-09 19:09:21 EST
Still valid
Comment 7 Jaroslav Reznik 2015-03-03 10:02:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 8 Fedora Admin XMLRPC Client 2015-09-07 03:34:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 gil cattaneo 2015-09-11 23:30:06 EDT
The actual condition of the package do not permit to run as system services. but is used only as system java library.
Comment 10 Pavel Alexeev 2016-01-28 10:03:54 EST
Could it be then added please?

It seams pretty simple at first glance: http://activemq.2283324.n4.nabble.com/systemd-startup-scripts-for-activemq-td4704301.html
Comment 11 gil cattaneo 2016-01-28 10:46:32 EST
(In reply to Pavel Alexeev from comment #10)
> Could it be then added please?
> 
> It seams pretty simple at first glance:
> http://activemq.2283324.n4.nabble.com/systemd-startup-scripts-for-activemq-
> td4704301.html

For now no, sorry. If you want can take the ownership of the pachage and apply all the changes you desire. And see Comment#9.
Regards

Note You need to log in before you can comment on or make changes to this bug.